SYSREPOCTL(1)

NAME
sysrepoctl - Sysrepo datastore control tool

SYNOPSIS
sysrepoctl --list [--Level=NUM]
sysrepoctl --install [--yang=FILE] [--yin=FILE] [--owner=OWNER] [--permissions=PERMISSIONS] [--search-dir=DIRECTORY] [--Level=NUM]
sysrepoctl --uninstall --module=MODULE [--revision=REVISION] [--Level=NUM]
sysrepoctl --change --module=MODULE [--revision=REVISION] [--owner=OWNER] [--permissions=PERMISSIONS] [--Level=NUM]
sysrepoctl --feature-enable=FEATURE --module=MODULE [--Level=NUM]
sysrepoctl --feature-disable=FEATURE --module=MODULE [--Level=NUM]
sysrepoctl --help
sysrepoctl --version

DESCRIPTION
sysrepoctl is a command-line tool for the management of YANG modules installed in Sysrepo datastore. It can be used for installing of new YANG modules to Sysrepo, uninstalling existing ones, listing current state of installed modules, enabling / disabling of YANG features within the module or changing module access permissions.

OPTIONS

-h, --help
    Outputs usage help and exists.

-v, --version
    Outputs the version number of sysrepoctl and exit.

-l, --list
    Lists YANG modules installed in sysrepo (note that Conformance Installed implies also Implemented).

-i, --install
    Installs specified schema into sysrepo (--yang or --yin must be specified).

-t, --init
    Initializes already installed YANG/YIN schema (--module must be specified).

-u, --uninstall
    Uninstalls specified schema from sysrepo (--module must be specified).

-c, --change
    Changes specified module in sysrepo (--module must be specified).

-e FEATURE, --feature-enable=FEATURE
    Enables the YANG feature named FEATURE within a module in sysrepo (--module must be specified).

-d FEATURE, --feature-disable=FEATURE
    Disables the YANG feature named FEATURE within a module in sysrepo (--module must be specified).

-g FILE, --yang=FILE
    Specifies path to the file with schema in YANG format (used by --install operation).

-n FILE, --yin=FILE
    Specifies path to the file with schema in YIN format (used by --install operation).

-m MODULE, --module=MODULE
    Name of the module to be operated on (used by --init, --uninstall, --change, --feature-enable, --feature-disable operations)

-r REVISION, --revision=REVISION
    Revision of the module to be operated on (used by --init, --uninstall operations).

-o OWNER, --owner=OWNER
    Owner user and group of the module's data in chown format (used by --install, --init, --change operations).

-p PERMISSIONS, --permissions=PERMISSIONS
    Access permissions of the module's data in chmod format (used by --install, --init, --change operations).

-s DIRECTORY, --search-dir=DIRECTORY
    Directory to search for included/imported modules. Defaults to the directory with the YANG file being installed (used by --install operation).

-L NUM, --level=NUM
    Set verbosity level of logging:

    0   (default) all logging turned off

    1   log only error messages

    2   log error and warning messages

    3   log error, warning and informational messages

    4   log everything, including development debug messages

EXAMPLE

•   Install a new module by specifying YANG file, ownership and access permissions:
        sysrepoctl --install --yang=ietf-interfaces.yang --owner=admin:admin --permissions=644

•   Change the ownership and permissions of an existing YANG module:
        sysrepoctl --change --module=ietf-interfaces --owner=admin:admin --permissions=644

•   Enable a feature within a YANG module:
        sysrepoctl --feature-enable=if-mib --module=ietf-interfaces

SEE ALSO
sysrepocfg(1)
http://www.sysrepo.org (Sysrepo homepage)
https://github.com/sysrepo/sysrepo (the GitHub base for Sysrepo)

AUTHORS
Rastislav Szabo <raszabo@cisco.com>, Lukas Macko <lmacko@cisco.com>, Milan Lenco <milan.lenco@pantheon.tech>

COPYRIGHT
Copyright © 2016 Cisco Systems, Inc.